Debian Bug report logs - #645395
openafs: Please add support for armhf

version graph

Package: openafs; Maintainer for openafs is Russ Allbery <rra@debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Sat, 15 Oct 2011 10:24:02 UTC

Severity: important

Tags: patch

Found in version 1.6.0-1

Fixed in version openafs/1.6.0-2

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Russ Allbery <rra@debian.org>:
Bug#645395; Package openafs. (Sat, 15 Oct 2011 10:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Russ Allbery <rra@debian.org>. (Sat, 15 Oct 2011 10:24:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit <submit@bugs.debian.org>
Subject: openafs: Please add support for armhf
Date: Sat, 15 Oct 2011 13:20:48 +0300
[Message part 1 (text/plain, inline)]
Package: openafs
Version: 1.6.0-1
Severity: important
Tags: patch

Openafs is not in the arch list for armhf, but since it builds for
armel there was no reason to imply that it would not work on armhf, so
I gave it a shot.
After a small amount of patching the package builds fine on armhf,
please consider adding the patch and providing support for armhf.

Thanks

Konstantinos
[openafs_armhf.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Fri, 28 Oct 2011 00:15:03 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Tue, 29 Nov 2011 03:03:03 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Tue, 29 Nov 2011 03:03:03 GMT) Full text and rfc822 format available.

Message #12 received at 645395-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 645395-close@bugs.debian.org
Subject: Bug#645395: fixed in openafs 1.6.0-2
Date: Tue, 29 Nov 2011 03:01:45 +0000
Source: openafs
Source-Version: 1.6.0-2

We believe that the bug you reported is fixed in the latest version of
openafs, which is due to be installed in the Debian FTP archive:

libafsauthent1_1.6.0-2_i386.deb
  to main/o/openafs/libafsauthent1_1.6.0-2_i386.deb
libafsrpc1_1.6.0-2_i386.deb
  to main/o/openafs/libafsrpc1_1.6.0-2_i386.deb
libkopenafs1_1.6.0-2_i386.deb
  to main/o/openafs/libkopenafs1_1.6.0-2_i386.deb
libopenafs-dev_1.6.0-2_i386.deb
  to main/o/openafs/libopenafs-dev_1.6.0-2_i386.deb
libpam-openafs-kaserver_1.6.0-2_i386.deb
  to main/o/openafs/libpam-openafs-kaserver_1.6.0-2_i386.deb
openafs-client_1.6.0-2_i386.deb
  to main/o/openafs/openafs-client_1.6.0-2_i386.deb
openafs-dbg_1.6.0-2_i386.deb
  to main/o/openafs/openafs-dbg_1.6.0-2_i386.deb
openafs-dbserver_1.6.0-2_i386.deb
  to main/o/openafs/openafs-dbserver_1.6.0-2_i386.deb
openafs-doc_1.6.0-2_all.deb
  to main/o/openafs/openafs-doc_1.6.0-2_all.deb
openafs-fileserver_1.6.0-2_i386.deb
  to main/o/openafs/openafs-fileserver_1.6.0-2_i386.deb
openafs-fuse_1.6.0-2_i386.deb
  to main/o/openafs/openafs-fuse_1.6.0-2_i386.deb
openafs-kpasswd_1.6.0-2_i386.deb
  to main/o/openafs/openafs-kpasswd_1.6.0-2_i386.deb
openafs-krb5_1.6.0-2_i386.deb
  to main/o/openafs/openafs-krb5_1.6.0-2_i386.deb
openafs-modules-dkms_1.6.0-2_all.deb
  to main/o/openafs/openafs-modules-dkms_1.6.0-2_all.deb
openafs-modules-source_1.6.0-2_all.deb
  to main/o/openafs/openafs-modules-source_1.6.0-2_all.deb
openafs_1.6.0-2.debian.tar.gz
  to main/o/openafs/openafs_1.6.0-2.debian.tar.gz
openafs_1.6.0-2.dsc
  to main/o/openafs/openafs_1.6.0-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645395@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated openafs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 28 Nov 2011 17:53:45 -0800
Source: openafs
Binary: openafs-client openafs-fuse openafs-kpasswd openafs-fileserver openafs-dbserver openafs-doc openafs-krb5 libkopenafs1 libafsauthent1 libafsrpc1 libopenafs-dev openafs-modules-source openafs-modules-dkms libpam-openafs-kaserver openafs-dbg
Architecture: source i386 all
Version: 1.6.0-2
Distribution: unstable
Urgency: low
Maintainer: Russ Allbery <rra@debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 libafsauthent1 - AFS distributed file system runtime library (authentication)
 libafsrpc1 - AFS distributed file system runtime library (RPC layer)
 libkopenafs1 - AFS distributed file system runtime library (PAGs)
 libopenafs-dev - AFS distributed filesystem development libraries
 libpam-openafs-kaserver - AFS distributed filesystem kaserver PAM module
 openafs-client - AFS distributed filesystem client support
 openafs-dbg - AFS distributed filesystem debugging information
 openafs-dbserver - AFS distributed filesystem database server
 openafs-doc - AFS distributed filesystem documentation
 openafs-fileserver - AFS distributed filesystem file server
 openafs-fuse - AFS distributed file system experimental FUSE client
 openafs-kpasswd - AFS distributed filesystem old password changing
 openafs-krb5 - AFS distributed filesystem Kerberos 5 integration
 openafs-modules-dkms - AFS distributed filesystem kernel module DKMS source
 openafs-modules-source - AFS distributed filesystem kernel module source
Closes: 645395 649765 649996
Changes: 
 openafs (1.6.0-2) unstable; urgency=low
 .
   * Apply upstream deltas for Linux 3.1 and 3.2 (Closes: #649765):
     - [f129142] Linux: 3.1: update RCU path walking detection in
       permission i_op (Closes: #649996)
     - [7f55b45] Linux: d_delete now takes a const argument
     - [737a280] Linux: 3.2: Use set_nlink to update i_nlink
     - [364fad6] Linux: 3.1: adapt to fsync changes
     - [032736b] Linux: make sure backing_dev_info is zeroed
   * Add support for armhf.  Patch from Konstantinos Margaritis.
     (Closes: #645395)
Checksums-Sha1: 
 67d7976b123f60d11cec60ec0ff449ec3705353f 2516 openafs_1.6.0-2.dsc
 9d2c2025c7d0cbd7ac90f7915dd83c57ab0f9ce1 149091 openafs_1.6.0-2.debian.tar.gz
 3f1400e3c69a58a6560a76778f3e16a6bf0137c1 3650240 openafs-client_1.6.0-2_i386.deb
 b955f034bb582a23c563e60224e5bea9983bcea7 294618 openafs-fuse_1.6.0-2_i386.deb
 d414315ad371225749a44a71978604b5859afa7a 316438 openafs-kpasswd_1.6.0-2_i386.deb
 774765117bda8c953f5d6f4d5683e3e07e6c541b 3243182 openafs-fileserver_1.6.0-2_i386.deb
 e9092acdf74006b18a451d41aa1f1d38f6dec918 753658 openafs-dbserver_1.6.0-2_i386.deb
 105560dbf944340b7d44965355febfa6902835a6 4559754 openafs-doc_1.6.0-2_all.deb
 d5e92776bf07003d7be2faed5036eac2e5f898e1 348084 openafs-krb5_1.6.0-2_i386.deb
 7f595add1f67037d5fe8007f8313e787285f2021 79760 libkopenafs1_1.6.0-2_i386.deb
 ececa6264bbd92fe980d6344b00b0e12934cb6da 155582 libafsauthent1_1.6.0-2_i386.deb
 f77338ed56ebdaedc0106eec5effc4ff318af8bb 219962 libafsrpc1_1.6.0-2_i386.deb
 e07dc3ae6aa158d823c172fb6415061d4b695702 2683230 libopenafs-dev_1.6.0-2_i386.deb
 dd4d40247ea0c84e98d3072d12ac0c85c30dd453 1105006 openafs-modules-source_1.6.0-2_all.deb
 1d8b5ff723be67f2e0e4981f8dd6cf3eb076a53b 1346372 openafs-modules-dkms_1.6.0-2_all.deb
 1a011e84da05f56494751faabafe5508242af99a 364774 libpam-openafs-kaserver_1.6.0-2_i386.deb
 a832e9bddf0d0e72d3a44fcf51d609b6fe3c3482 5971032 openafs-dbg_1.6.0-2_i386.deb
Checksums-Sha256: 
 bbae0263c31a3ac487533a09828ee2f25ea72a00a8bd7cd86c88e4543b21f74c 2516 openafs_1.6.0-2.dsc
 95ae45970091583a77c358ebc8a6f48346181dc9abaac28db25d00de31a26000 149091 openafs_1.6.0-2.debian.tar.gz
 7744ae4c7da4608b671cbbe7135dd7c92d35d30045e36a6bf65d9c4bd1e6dedb 3650240 openafs-client_1.6.0-2_i386.deb
 184eb510576476a2d8adea88569b25a639b21b570f56f964da54de1c478c50ec 294618 openafs-fuse_1.6.0-2_i386.deb
 50f467d1ba6d2fef74c06447fb9a6af7d489bbd8fa07104a2254ff23f33423b5 316438 openafs-kpasswd_1.6.0-2_i386.deb
 0eae73089345a22c7ee7dd8d5b35cce43f90518dd4d7f98800844ff2bb3dfcc1 3243182 openafs-fileserver_1.6.0-2_i386.deb
 d840cadbca06a3998a3d0f342fbd910af56f581accc3724dc0d52413780b850d 753658 openafs-dbserver_1.6.0-2_i386.deb
 05c46ac134c0c3d90b50a9ca3c200534f1e71abe3959ef35397f3cd7f43f1e2f 4559754 openafs-doc_1.6.0-2_all.deb
 d3146c1e5e35cdbfbb60233b00706d6a6f08f3332bf5638c5889e519d0b1a8b6 348084 openafs-krb5_1.6.0-2_i386.deb
 1046302243fb0181af17760f7b776096cd042e5af95137fda491149e3c1861e3 79760 libkopenafs1_1.6.0-2_i386.deb
 87a03adb74c384104529d104b0a8eabfbb6d57ecdfe16e15f993f0302fdcc467 155582 libafsauthent1_1.6.0-2_i386.deb
 2f3f8d379d87a79bd5d5dcbb7433fcf4e82408b62d8aa4634c0f563e814526ed 219962 libafsrpc1_1.6.0-2_i386.deb
 c03df5f576d1ae7fc20ac5b860ec82dc0572c26dd7ac95914e72431b8310c795 2683230 libopenafs-dev_1.6.0-2_i386.deb
 32d856d13bc0006b91cfcb85b94df88eff2621d29f41c12ac002789ccb661ad5 1105006 openafs-modules-source_1.6.0-2_all.deb
 a777850495478b5029bce26e3732b71f846c438a19241da765ef2468519134cb 1346372 openafs-modules-dkms_1.6.0-2_all.deb
 ee18f34b98eaa9c325fa7705f6fd5ef7c3b1f9f7fa6eedbeb2258c837e2694d2 364774 libpam-openafs-kaserver_1.6.0-2_i386.deb
 c7d3a0f900a8da838fddd475c69fe77ff1a1f3c669c94bbf649d4994579a6a6e 5971032 openafs-dbg_1.6.0-2_i386.deb
Files: 
 2e3232404ad798c9fe36bafd63bedf33 2516 net optional openafs_1.6.0-2.dsc
 f56ea81df5fa946177a4c103bff7e70a 149091 net optional openafs_1.6.0-2.debian.tar.gz
 1768947f0679984ed6be9f0fb5826e0f 3650240 net optional openafs-client_1.6.0-2_i386.deb
 7930b9a6c5f636243b5cf32f68591614 294618 net extra openafs-fuse_1.6.0-2_i386.deb
 232a44638e51047e98c06beb9180aa1b 316438 net extra openafs-kpasswd_1.6.0-2_i386.deb
 a389aa2ef8d9c7f4b694f3187ba85a87 3243182 net optional openafs-fileserver_1.6.0-2_i386.deb
 bb9d0c4f590d7d9f5afaf0845bb8dd7e 753658 net optional openafs-dbserver_1.6.0-2_i386.deb
 f65fe1e7ab7d49c72b1be3dc88239c21 4559754 doc optional openafs-doc_1.6.0-2_all.deb
 570539ea49226ab6c95c0476736e88b4 348084 net optional openafs-krb5_1.6.0-2_i386.deb
 a1bd3c3af4eaadc16f05234261180fcb 79760 libs optional libkopenafs1_1.6.0-2_i386.deb
 af4504a17fcaf976ea252f7d4b419b7b 155582 libs optional libafsauthent1_1.6.0-2_i386.deb
 66001df269d8fc19b7ea795ebfb1cb16 219962 libs optional libafsrpc1_1.6.0-2_i386.deb
 d79cc1399a1e582cd9648d2aa3e28954 2683230 libdevel extra libopenafs-dev_1.6.0-2_i386.deb
 8bc64d6c1c2afe91908176e1423fb77f 1105006 kernel extra openafs-modules-source_1.6.0-2_all.deb
 d2e2ae3d6fcef5f7206bd564cf6bc334 1346372 kernel extra openafs-modules-dkms_1.6.0-2_all.deb
 680ffbfdb445cbc84a0fd81cab5d5508 364774 admin extra libpam-openafs-kaserver_1.6.0-2_i386.deb
 73aeb136b11169df5240e14948a67577 5971032 debug extra openafs-dbg_1.6.0-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJO1D/TAAoJEH2AMVxXNt51mJwH/1ZFYhZrU7sT9aOLVvCYSNgJ
p26XwttlNvomXt8TJ6rF0YVMEqeQwdUx+F3/8JPV7+Vu+zu6yDTY8KWuc/STAUKR
SJBrbaTSxZFAk7efJKOPYomVejEjvrxL491hGMF/an6tM2A4ue4bRp0tWdF40+81
p/fGsn140expWboCY1wDSSSa7FrHMH0x91CUFGnegCdqLkgp27TjDNAt6i6vn1mU
IEXJFbz6dYH1HXMu/rihqGINauvNJKpn9s8VPbHd6XgjgFHIr2kaPAb4FZ9dLA1j
KO6Z794h//sLntpY7DliCja6LJ9/F5GyrbMWHYtvReiqHLAsZJbRRByfyOsnvUk=
=pmBw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Jan 2012 07:40:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:39:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.